#!/bin/sh
#
# This script find available network interface names to be assigned by udev.
#
# Copyright (C) 2006 Jean-Philippe Guillemin <jp.guillemin@free.fr> and Mark Colclough <m.s.colclough@bham.ac.uk>
#
# This file is free software; the copyright holder gives unlimited
# permission to copy and/or distribute it, with or without
# modifications, as long as this notice is preserved.
#
# This file is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
#

# version 1.0 01/07/2006

VERBOSE="no"

NETRULES=/etc/udev/rules.d/60-interfaces.rules
SYSNET=/sys/class/net
NAME=$1

# Log a string via the syslog facility (only for hotplug).
log()
{
  [ "$VERBOSE" = "yes" ] && /usr/bin/logger -p user.$1 -t "net-interface-finder[$$]" -- "$2"
}


while grep -qs "^[^#]*NAME=\"$NAME\"" $NETRULES || [ -d $SYSNET/$NAME -a $NAME != $1 ] ; do
	num=$((${NAME##*[^0-9]}))
	NAME=${NAME%%[0-9]*}$((num+1))
	log info "bumping name to $NAME"
done

log info "decided on name $NAME"

echo $NAME

exit 0


